# nng_surveyor_open(3) Manual Page

## NAME

nng_surveyor_open - create surveyor socket

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/protocol/survey0/survey.h>

    int nng_surveyor0_open(nng_socket *s);

    int nng_surveyor0_open_raw(nng_socket *s);

## DESCRIPTION

The `nng_surveyor0_open()` function creates a surveyor version 0 socket and returns it at the location pointed to by s.

The `nng_surveyor0_open_raw()` function creates a surveyor version 0 socket in raw mode and returns it at the location pointed to by s.

## RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory is available.
`NNG_ENOTSUP` | The protocol is not supported.

## SEE ALSO

nng_socket(5), nng_respondent(7), nng_surveyor(7), nng(7)